// Code de la gauge JQuery
$(document).ready(function () {
    $('#gaugeContainer').jqxGauge({
        ranges: [{ startValue: 0, endValue: 15, style: { fill: '#C9C9C9', stroke: '#C9C9C9' }, endWidth: 3, startWidth: 1 },
        { startValue: 15, endValue: 30, style: { fill: '#FCF06A', stroke: '#FCF06A' }, endWidth: 6, startWidth: 3 },
        { startValue: 30, endValue: 40, style: { fill: '#FCA76A', stroke: '#FCA76A' }, endWidth: 9, startWidth: 6 },
        { startValue: 40, endValue: 50, style: { fill: '#FC6A6A', stroke: '#FC6A6A' }, endWidth: 12, startWidth: 9 }],
        ticksMinor: { interval: 1, size: '5%' },
        ticksMajor: { interval: 5, size: '9%' },
        value: 0,
        max: 50,
        colorScheme: 'scheme01',
        labels: { interval: 5 },
        caption: { value: "Temp °C" },
        width: 200,
        height: 200,
        /* radius:'35%',*/
        animationDuration: 1200
    });
    $('#setValueButton1').jqxButton({ width: 70, theme: 'classic' });
    $('#setValueButton1').click(function () {
        $('#gaugeContainer').jqxGauge('value', 22);
    });
    $('#setValueButton2').jqxButton({ width: 70, theme: 'classic' });
    $('#setValueButton2').click(function () {
        $('#gaugeContainer').jqxGauge('value', 12);
    });
});